function loadUser(data) {
    const cn = "bd";
    const template = $("#mainscreen").html();
    Mustache.parse(template);
    const rendered = Mustache.render(template, { id: data.i, email: data.u, lowcost: data.c == cn, highcost: data.c != cn });
    $("#mainscreen").html(rendered);
    $("body").css("display", "");
    $("#contact").click(() => {
        $("#contactForm").fadeIn();
    });
    $(document).mouseup((e) => {
        const container = $("#contactForm");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $("#contactForm").fadeOut();
        }
    });
}
$.getJSON("https://trioapp.azurewebsites.net/api/ping").then((data) => {
    loadUser(data);
});
$(document).ready(function () {
    $("#myform").on("submit", function (e) {
        e.preventDefault();
        $.ajax({
            url: $(this).attr("action") || window.location.pathname,
            type: "POST",
            data: $(this).serialize(),
            success: function (data) {
                const container = $("#contactForm");
                container.reset();
                container.fadeOut();
            },
            error: function (jXHR, textStatus, errorThrown) {
                const container = $("#contactForm");
                container.fadeOut();
            }
        });
    });
});
//# sourceMappingURL=kendomain.js.map